Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

knowledge_base_id
string
required

Unique identifier for a Knowledge Base.

Maximum string length: 28
Pattern: ^kb_[a-zA-Z0-9]{25}$

Body

application/json
output_language
enum<string>
required

The ISO 639-1 code for the language in which the Explanation should be generated. Supported Languages:

  • ar: Arabic
  • bs: Bosnian
  • cs: Czech
  • de: German
  • es: Spanish
  • en: English
  • fa: Farsi
  • fr: French
  • hr: Croatian
  • hu: Hungarian
  • it: Italian
  • pl: Polish
  • ro: Romanian
  • sk: Slovak
  • sl: Slovenian
  • sr: Serbian
  • tl: Tagalog
  • tr: Turkish
  • uk: Ukrainian
  • zh: Mandarin
Available options:
ar,
bs,
cs,
de,
es,
en,
fa,
fr,
hr,
hu,
it,
pl,
ro,
sk,
sl,
sr,
tl,
tr,
uk,
zh
Example:

"en"

language_level
enum<string>
required

One of three language levels for the generated text:

  1. Simple Language: Answers are short and simple, using easy words and a clear structure.
  2. Plain Language: Answers are short and the assistant explains complicated terms.
  3. Detailed Language: Answers are not simplified and the assistant answers in detail.
Available options:
simple,
plain,
detailed
Example:

"plain"

messages
Message · object[]
required

The conversation history. Provide at least one user message to start the conversation.

Maximum array length: 50
markdown_response
boolean
default:true

Whether the response should be returned as Markdown formatted text. If 'false', the response will be returned in plain text.

Example:

true

Response

OK

project_id
string
required

The Project that the Knowledge Base is assigned to.

Maximum string length: 28
Pattern: ^pj_[a-zA-Z0-9]{25}$
Example:

"pj_avX7imfLaPcQnv5ckvGlOEBA9"

output_language
enum<string>
required

The ISO 639-1 code for the language in which the Explanation should be generated. Supported Languages:

  • ar: Arabic
  • bs: Bosnian
  • cs: Czech
  • de: German
  • es: Spanish
  • en: English
  • fa: Farsi
  • fr: French
  • hr: Croatian
  • hu: Hungarian
  • it: Italian
  • pl: Polish
  • ro: Romanian
  • sk: Slovak
  • sl: Slovenian
  • sr: Serbian
  • tl: Tagalog
  • tr: Turkish
  • uk: Ukrainian
  • zh: Mandarin
Available options:
ar,
bs,
cs,
de,
es,
en,
fa,
fr,
hr,
hu,
it,
pl,
ro,
sk,
sl,
sr,
tl,
tr,
uk,
zh
Example:

"en"

language_level
enum<string>
required

One of three language levels for the generated text:

  1. Simple Language: Answers are short and simple, using easy words and a clear structure.
  2. Plain Language: Answers are short and the assistant explains complicated terms.
  3. Detailed Language: Answers are not simplified and the assistant answers in detail.
Available options:
simple,
plain,
detailed
Example:

"plain"

answer
Message · object
required

Represents a message within an Explanation or a Knowledge Base Chat. For Explanations - An assistant message is either an initial Explanation for the document when no messages were provided in the request or an answer to a user message in the provided conversation history.

Example:
markdown_response
boolean
required

Whether the response is a Markdown formatted text.

Example:

true

knowledge_base_id
string
required

The unique identifier of the Knowledge Base that was used for the Chat.

Maximum string length: 28
Pattern: ^kb_[a-zA-Z0-9]{25}$
Example:

"kb_feMfJbeqbAEj4u8K5HqmKpUbY"